DLQ

List Failed Workflow Runs

List and paginate through all failed workflow runs currently in the DLQ.

GET/v2/workflows/dlq
cURL
curl --request GET \
  --url https://qstash-{region}.upstash.io/v2/workflows/dlq \
  --header 'Authorization: Bearer <token>'
200Response
{
  "cursor": "<string>",
  "messages": [
    {
      "dlqId": "<string>",
      "workflowUrl": "<string>",
      "workflowRunId": "<string>",
      "workflowCreatedAt": 123,
      "url": "<string>",
      "method": "<string>",
      "header": "<string>",
      "body": "<string>",
      "bodyBase64": "<string>",
      "maxRetries": 123,
      "createdAt": 123,
      "failureCallback": "<string>",
      "callerIP": "<string>",
      "label": "<string>",
      "labels": [
        "<string>"
      ],
      "flowControlKey": "<string>",
      "failureFunctionState": "<string>",
      "responseStatus": 123,
      "responseHeader": "<string>",
      "responseBody": "<string>",
      "responseBodyBase64": "<string>"
    }
  ]
}

Authorization

Authorizationheaderstringrequired

Bearer authentication header of the form Bearer <token>.

Query parameters

cursorquerystring

Pagination cursor. If provided, returns the next page of results.

countqueryintegerdefault: 100

The maximum number of failed workflow runs to return per page.

fromDatequeryinteger

Filter by starting date in milliseconds (Unix timestamp). This is inclusive.

toDatequeryinteger

Filter by ending date in milliseconds (Unix timestamp). This is inclusive.

workflowUrlquerystring[]

Filter by workflow URL. Supports multiple values.

workflowRunIdquerystring

Filter by workflow run ID.

workflowCreatedAtqueryinteger

Filter by workflow creation timestamp in milliseconds (Unix timestamp).

labelquerystring[]

Filter by label assigned to the workflow run. Supports multiple values. You can pass multiple values to match workflow runs with any of the given labels (OR logic).

Examples:

  • label=my_label
  • label=label_1&label=label_2
  • label=label_1,label_2
failureFunctionStatequerystring[]

Filter by failure function state. Supports multiple values.

StateDescription
CALLBACK_INPROGRESSThe failure function is in progress.
CALLBACK_SUCCESSThe failure function run successfully.
CALLBACK_FAILThe failure function failed to run.
CALLBACK_CANCELEDThe failure function was manually canceled
callerIpquerystring[]

Filter by IP address of the publisher. Supports multiple values.

flowControlKeyquerystring[]

Filter by Flow Control Key. Supports multiple values.

Response

200 — List of failed workflow runs

cursorstring

Pagination cursor for the next page. Empty if no more results.

messagesobject[]

Array of failed workflow messages.

400 — Bad Request

errorstringrequired

Error message

401 — Unauthorized

errorstringrequired

Error message

500 — Internal Server Error

errorstringrequired

Error message

Loading search…